Package com.smartgwt.client.types

# Enum EscapeKeyEditAction

java.lang.Object
java.lang.Enum<EscapeKeyEditAction>
com.smartgwt.client.types.EscapeKeyEditAction

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<EscapeKeyEditAction>`, `Constable`

public enum EscapeKeyEditAction extends Enum<EscapeKeyEditAction> implements ValueEnum
What to do if the user hits escape while editing a cell.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANCEL`
  cancels the current edit and discards edit values
  `DONE`
  end editing (will save edit values if `ListGrid.autoSaveEdits` is true).
  `EXIT`
  exit the editor (edit values will be left intact but not saved).
  `IGNORE`
  do nothing special when the Escape key is pressed (ie, just ignore it)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static EscapeKeyEditAction`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static EscapeKeyEditAction[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CANCEL

    public static final EscapeKeyEditAction CANCEL
    cancels the current edit and discards edit values

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "cancel".

  - ### DONE

    public static final EscapeKeyEditAction DONE
    end editing (will save edit values if `ListGrid.autoSaveEdits` is true).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "done".

  - ### EXIT

    public static final EscapeKeyEditAction EXIT
    exit the editor (edit values will be left intact but not saved).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "exit".

  - ### IGNORE

    public static final EscapeKeyEditAction IGNORE
    do nothing special when the Escape key is pressed (ie, just ignore it)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "ignore".

- ## Method Details

  - ### values

    public static EscapeKeyEditAction[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EscapeKeyEditAction valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`